\tikzstyle{commit}=[draw,circle]

\begin{tikzpicture}[scale=0.7]
	\node[commit, fill=green!60] (C3)at(4,-1.5){C3};
	\node[commit, fill=green!60] (C5)at(6,-1.5){C5};
	\node[commit, fill=green!60] (C7)at(8,-1.5){C7};
	\node[commit, fill=cyan!90] (C4)at(5,-2.5){C4};
	\node[commit, fill=cyan!90] (C6)at(7,-2.5){C6};
	\draw[->, >=latex] (C5) -- (C3) ;
	\draw[->, >=latex] (C7) -- (C5) ;
	\draw[->, >=latex] (C4) -- (C3) ;
	\draw[->, >=latex] (C6) -- (C4) ;
	\draw[->, >=latex] (C7) -- (C6) ;
\end{tikzpicture}
